#  Python utilities
import unittest

# Coding problem
from staircase.staircase import main


class StaircaseTests(unittest.TestCase):
    def test_case_one(self):
        self.assertEqual(main(6), ['     #', '    ##', '   ###', '  ####', ' #####', '######'])

    def test_case_two(self):
        self.assertEqual(main(10), ['         #', '        ##', '       ###', '      ####', '     #####', '    ######', '   #######', '  ########', ' #########', '##########'])

    def test_case_three(self):
        result = [
            '                             #',
            '                            ##',
            '                           ###',
            '                          ####',
            '                         #####',
            '                        ######',
            '                       #######',
            '                      ########',
            '                     #########',
            '                    ##########',
            '                   ###########',
            '                  ############',
            '                 #############',
            '                ##############',
            '               ###############',
            '              ################',
            '             #################',
            '            ##################',
            '           ###################',
            '          ####################',
            '         #####################',
            '        ######################',
            '       #######################',
            '      ########################',
            '     #########################',
            '    ##########################',
            '   ###########################',
            '  ############################',
            ' #############################',
            '##############################'
        ]
        self.assertEqual(main(30), result)

    def test_case_fout(self):
        result = [
            '                                                                     #',
            '                                                                    ##',
            '                                                                   ###',
            '                                                                  ####',
            '                                                                 #####',
            '                                                                ######',
            '                                                               #######',
            '                                                              ########',
            '                                                             #########',
            '                                                            ##########',
            '                                                           ###########',
            '                                                          ############',
            '                                                         #############',
            '                                                        ##############',
            '                                                       ###############',
            '                                                      ################',
            '                                                     #################',
            '                                                    ##################',
            '                                                   ###################',
            '                                                  ####################',
            '                                                 #####################',
            '                                                ######################',
            '                                               #######################',
            '                                              ########################',
            '                                             #########################',
            '                                            ##########################',
            '                                           ###########################',
            '                                          ############################',
            '                                         #############################',
            '                                        ##############################',
            '                                       ###############################',
            '                                      ################################',
            '                                     #################################',
            '                                    ##################################',
            '                                   ###################################',
            '                                  ####################################',
            '                                 #####################################',
            '                                ######################################',
            '                               #######################################',
            '                              ########################################',
            '                             #########################################',
            '                            ##########################################',
            '                           ###########################################',
            '                          ############################################',
            '                         #############################################',
            '                        ##############################################',
            '                       ###############################################',
            '                      ################################################',
            '                     #################################################',
            '                    ##################################################',
            '                   ###################################################',
            '                  ####################################################',
            '                 #####################################################',
            '                ######################################################',
            '               #######################################################',
            '              ########################################################',
            '             #########################################################',
            '            ##########################################################',
            '           ###########################################################',
            '          ############################################################',
            '         #############################################################',
            '        ##############################################################',
            '       ###############################################################',
            '      ################################################################',
            '     #################################################################',
            '    ##################################################################',
            '   ###################################################################',
            '  ####################################################################',
            ' #####################################################################',
            '######################################################################'
        ]
        self.assertEqual(main(70), result)


if __name__ == '__main__':
    unittest.main()